> For the complete documentation index, see [llms.txt](https://docs.pay.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pay.io/api-reference/user-payment-api/create-a-wallet-connection-deposit-link.md).

# Create a Wallet Connection Deposit Link

## Create a Wallet Connection Deposit Link

> This endpoint creates an secure deposit link using Mesh. It allows end-users to authenticate and connect their external exchange accounts or wallets directly to Pay.io, enabling seamless, one-click deposits.

```json
{"openapi":"3.0.0","info":{"title":"pay.io payment gateway","version":"1.0"},"servers":[{"url":"https://gateway.stage.pay.io","variables":{}}],"paths":{"/v1/user/deposit/link_external_wallet":{"post":{"callbacks":{},"description":"This endpoint creates an secure deposit link using Mesh. It allows end-users to authenticate and connect their external exchange accounts or wallets directly to Pay.io, enabling seamless, one-click deposits.","operationId":"HubwalletPaymentGatewayWeb.Controller.Providers.Mesh.link_public","parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Link_External_Wallet"}}},"description":"The user attributes","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Link_External_Wallet_Response"}}},"description":"User withdrawal"},"422":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Validation_Error_Response"}}},"description":"Validation error"}},"summary":"Create a Wallet Connection Deposit Link","tags":["user"]}}},"components":{"schemas":{"Link_External_Wallet":{"description":"This API endpoint creates a deposit link that enables and connects an external wallet to the user's account for facilitating deposits. This integration streamlines the deposit process by linking external wallets directly to the platform, enabling seamless fund transfers.","properties":{"amount":{"description":"Amount to withdraw, we support high precision due to certian tokens","format":"string","type":"string"},"currency_id":{"description":"Currency ID, which can be retrieved using supported currencies.","type":"string"},"user_reference_id":{"description":"The unique user reference to identify a user for transaction tracking","type":"string"}},"required":["amount","currency_id","user_reference_id"],"title":"Link_External_Wallet","type":"object"},"Link_External_Wallet_Response":{"description":"Response for external wallet link","properties":{"link":{"description":"Deposit link URL","type":"string"}},"required":["link"],"title":"Link_External_Wallet_Response","type":"object"},"Validation_Error_Response":{"description":"Validation error response format","properties":{"error":{"description":"Error message","type":"string"},"errors":{"additionalProperties":{"items":{"type":"string"},"type":"array"},"description":"Field-specific validation errors","type":"object"}},"required":["error","errors"],"title":"Validation_Error_Response","type":"object"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.pay.io/api-reference/user-payment-api/create-a-wallet-connection-deposit-link.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
